classification
Title: typing module documentation incomplete
Type: enhancement Stage: needs patch
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ben.Darnell, berker.peksag, docs@python, gvanrossum, levkivskyi, python-dev
Priority: normal Keywords: patch

Created on 2016-01-17 16:55 by Ben.Darnell, last changed 2016-09-11 02:06 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
typing-doc.diff levkivskyi, 2016-09-11 00:07 review
Messages (8)
msg258475 - (view) Author: Ben Darnell (Ben.Darnell) * Date: 2016-01-17 16:55
The typing module docs at https://docs.python.org/3/library/typing.html do not include everything that is documented in the PEP (https://www.python.org/dev/peps/pep-0484/#the-typing-module). Specifically, `AnyStr` is mentioned but not defined, the `@overload` decorator is missing, and so are the new-to-3.5 types Awaitable, AsyncIterable, AsyncIterator.
msg269630 - (view) Author: Ivan Levkivskyi (levkivskyi) * Date: 2016-06-30 21:50
I would like to do this (update the typing docs) at some point before 3.6 beta1. There probably will be some updates to the PEP (it is still provisional), and maybe to typing.py soon.
msg275716 - (view) Author: Ivan Levkivskyi (levkivskyi) * Date: 2016-09-11 00:07
Here is the patch for some omissions in typing module documentation.

Guido, please take a look.
msg275717 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-09-11 00:17
Most things mentioned by Ben have been added (thanks Michael Lee!), but it seems the 3.5 docs and the 3.6 docs have deviated more than they ought to. I guess updating the 3.6 docs is more urgent because of the upcoming 3.6b1 release. I'll look later.
msg275719 - (view) Author: Ivan Levkivskyi (levkivskyi) * Date: 2016-09-11 00:32
The patch contains docs for both new 3.6 features and missing 3.5:

ClassVar, Collection, plus also Sized, Hashable, DefaultDict, @overload, TYPE_CHECKING

Should I generate a separate patch for 3.5 with only 3.5 omissions?
msg275722 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-09-11 01:51
I'll figure it out.
msg275723 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-11 02:05
New changeset 7187d167abe8 by Guido van Rossum in branch 'default':
Issue #26141: Update docs for typing.py. Ivan Levkivskyi.
https://hg.python.org/cpython/rev/7187d167abe8

New changeset 1dc45beca118 by Guido van Rossum in branch '3.5':
Issue #26141: Update docs for typing.py. Ivan Levkivskyi. (Backport from the 3.6 version)
https://hg.python.org/cpython/rev/1dc45beca118

New changeset 960a73507d4d by Guido van Rossum in branch 'default':
Issue #26141: Update docs for typing.py. Ivan Levkivskyi. (null merge 3.5->3.6)
https://hg.python.org/cpython/rev/960a73507d4d
msg275724 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-09-11 02:06
Thanks!
History
Date User Action Args
2016-09-11 02:06:20gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg275724
2016-09-11 02:05:55python-devsetnosy: + python-dev
messages: + msg275723
2016-09-11 01:51:16gvanrossumsetmessages: + msg275722
2016-09-11 00:32:04levkivskyisetmessages: + msg275719
2016-09-11 00:17:33gvanrossumsetmessages: + msg275717
2016-09-11 00:07:55levkivskyisetfiles: + typing-doc.diff

nosy: + gvanrossum
messages: + msg275716

keywords: + patch
2016-06-30 21:50:28levkivskyisetnosy: + levkivskyi
messages: + msg269630
2016-05-16 16:44:59berker.peksagsetnosy: + berker.peksag
stage: needs patch
type: enhancement

versions: + Python 3.6
2016-01-17 16:55:40Ben.Darnellcreate